import "core-js/modules/es.array.index-of";
import "core-js/modules/es.function.bind";
import "core-js/modules/es.object.to-string";
import "core-js/modules/es.promise";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import "regenerator-runtime/runtime";
import _asyncToGenerator from "@babel/runtime/helpers/asyncToGenerator";
import invoke from 'react-native-webview-invoke/browser';
/*
* 检测是否app环境
* @name isNative
* @return true app环境,false 非app环境
*/

export var isNative = function isNative() {
  if (!window) return false;
  var userAgent = window.navigator.userAgent;
  if (userAgent.indexOf('QB/NATIVE') > -1) return true;
  if (userAgent.toLocaleLowerCase().indexOf('native') > -1) return true;
  return false;
};
/*
* 拍摄照片
* @name takePhoto
* @详情参考 https://github.com/react-native-image-picker/react-native-image-picker
* @params opt{
* 	mediaType: 'photo' or 'video'
* 	maxWidth: To resize the image
* 	maxHeight: To resize the image
* 	videoQuality: 'low', 'medium', or 'high' on iOS, 'low' or 'high' on Android
* 	durationLimit: Video max duration in seconds
* 	quality: 0 to 1, photos
* 	includeBase64: If true, creates base64 string of the image (Avoid using on large image files due to performance)
* 	saveToPhotos: (Boolean) Only for launchCamera, saves the image/video file captured to public photo
* }
* @return {
* 	didCancel: true if the user cancelled the process
* 	errorCode: camera_unavailable/permission/others
* 	errorMessage: Description of the error, use it for debug purpose only
* 	base64: The base64 string of the image (photos only)
* 	uri: The uri to the local file on the device (uri might change for same file for different session so don't save it)
* 	width: Image dimensions (photos only)
* 	height: Image dimensions (photos only)
* 	fileSize: The file size (photos only)
* 	type: The file type (photos only)
* 	fileName: The file name
* }
*/

export var takePhoto = /*#__PURE__*/function () {
  var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee3(opt) {
    return _regeneratorRuntime.wrap(function _callee3$(_context3) {
      while (1) {
        switch (_context3.prev = _context3.next) {
          case 0:
            return _context3.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee2(resolve) {
                return _regeneratorRuntime.wrap(function _callee2$(_context2) {
                  while (1) {
                    switch (_context2.prev = _context2.next) {
                      case 0:
                        // invoke.define('takePhoto', async (data) => {resolve(data)});
                        invoke.define('takePhotoCompleted', /*#__PURE__*/function () {
                          var _ref3 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(result) {
                            return _regeneratorRuntime.wrap(function _callee$(_context) {
                              while (1) {
                                switch (_context.prev = _context.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context.stop();
                                }
                              }
                            }, _callee);
                          }));

                          return function (_x3) {
                            return _ref3.apply(this, arguments);
                          };
                        }());
                        _context2.next = 3;
                        return invoke.bind("takePhoto")(opt);

                      case 3:
                      case "end":
                        return _context2.stop();
                    }
                  }
                }, _callee2);
              }));

              return function (_x2) {
                return _ref2.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context3.stop();
        }
      }
    }, _callee3);
  }));

  return function takePhoto(_x) {
    return _ref.apply(this, arguments);
  };
}();
export var recordVideo = /*#__PURE__*/function () {
  var _ref4 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee6(opt) {
    return _regeneratorRuntime.wrap(function _callee6$(_context6) {
      while (1) {
        switch (_context6.prev = _context6.next) {
          case 0:
            return _context6.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref5 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee5(resolve) {
                return _regeneratorRuntime.wrap(function _callee5$(_context5) {
                  while (1) {
                    switch (_context5.prev = _context5.next) {
                      case 0:
                        // invoke.define('recordVideo', async (data) => {resolve(data)});
                        invoke.define('recordVideoCompleted', /*#__PURE__*/function () {
                          var _ref6 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee4(result) {
                            return _regeneratorRuntime.wrap(function _callee4$(_context4) {
                              while (1) {
                                switch (_context4.prev = _context4.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context4.stop();
                                }
                              }
                            }, _callee4);
                          }));

                          return function (_x6) {
                            return _ref6.apply(this, arguments);
                          };
                        }());
                        _context5.next = 3;
                        return invoke.bind("recordVideo")(opt);

                      case 3:
                      case "end":
                        return _context5.stop();
                    }
                  }
                }, _callee5);
              }));

              return function (_x5) {
                return _ref5.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context6.stop();
        }
      }
    }, _callee6);
  }));

  return function recordVideo(_x4) {
    return _ref4.apply(this, arguments);
  };
}();
/*
* 扫描二维码
* @name barCodeScan
* @return
*/

export var barCodeScan = /*#__PURE__*/function () {
  var _ref7 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee9(opt) {
    return _regeneratorRuntime.wrap(function _callee9$(_context9) {
      while (1) {
        switch (_context9.prev = _context9.next) {
          case 0:
            return _context9.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref8 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee8(resolve) {
                return _regeneratorRuntime.wrap(function _callee8$(_context8) {
                  while (1) {
                    switch (_context8.prev = _context8.next) {
                      case 0:
                        // invoke.define('barCodeScan', async (data) => {resolve(data)});
                        invoke.define('barCodeScanCompleted', /*#__PURE__*/function () {
                          var _ref9 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee7(result) {
                            return _regeneratorRuntime.wrap(function _callee7$(_context7) {
                              while (1) {
                                switch (_context7.prev = _context7.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context7.stop();
                                }
                              }
                            }, _callee7);
                          }));

                          return function (_x9) {
                            return _ref9.apply(this, arguments);
                          };
                        }());
                        _context8.next = 3;
                        return invoke.bind("barCodeScan")(opt);

                      case 3:
                      case "end":
                        return _context8.stop();
                    }
                  }
                }, _callee8);
              }));

              return function (_x8) {
                return _ref8.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context9.stop();
        }
      }
    }, _callee9);
  }));

  return function barCodeScan(_x7) {
    return _ref7.apply(this, arguments);
  };
}();
/*
* 打开新的WebView
* @name openWindow
* @return
*/

export var openWindow = /*#__PURE__*/function () {
  var _ref10 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee11(opt) {
    return _regeneratorRuntime.wrap(function _callee11$(_context11) {
      while (1) {
        switch (_context11.prev = _context11.next) {
          case 0:
            return _context11.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref11 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee10(resolve) {
                return _regeneratorRuntime.wrap(function _callee10$(_context10) {
                  while (1) {
                    switch (_context10.prev = _context10.next) {
                      case 0:
                        _context10.next = 2;
                        return invoke.bind("openWindow")(opt);

                      case 2:
                      case "end":
                        return _context10.stop();
                    }
                  }
                }, _callee10);
              }));

              return function (_x11) {
                return _ref11.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context11.stop();
        }
      }
    }, _callee11);
  }));

  return function openWindow(_x10) {
    return _ref10.apply(this, arguments);
  };
}();
/*
* 关闭当前的WebView
* @name closeWindow
* @return
*/

export var closeWindow = /*#__PURE__*/function () {
  var _ref12 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee13(opt) {
    return _regeneratorRuntime.wrap(function _callee13$(_context13) {
      while (1) {
        switch (_context13.prev = _context13.next) {
          case 0:
            return _context13.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref13 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee12(resolve) {
                return _regeneratorRuntime.wrap(function _callee12$(_context12) {
                  while (1) {
                    switch (_context12.prev = _context12.next) {
                      case 0:
                        _context12.next = 2;
                        return invoke.bind("closeWindow")(opt);

                      case 2:
                      case "end":
                        return _context12.stop();
                    }
                  }
                }, _callee12);
              }));

              return function (_x13) {
                return _ref13.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context13.stop();
        }
      }
    }, _callee13);
  }));

  return function closeWindow(_x12) {
    return _ref12.apply(this, arguments);
  };
}();
/*
* 打开ReactNative中的页面，其功能几乎和Actions相同
* @name openScreen
*  options: {
*		path: string,	//主程序中定义的路由页面
*		props: object,	//页面的props
*  	}
*/

export var openScreen = /*#__PURE__*/function () {
  var _ref14 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee15(opt) {
    return _regeneratorRuntime.wrap(function _callee15$(_context15) {
      while (1) {
        switch (_context15.prev = _context15.next) {
          case 0:
            return _context15.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref15 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee14(resolve) {
                return _regeneratorRuntime.wrap(function _callee14$(_context14) {
                  while (1) {
                    switch (_context14.prev = _context14.next) {
                      case 0:
                        _context14.next = 2;
                        return invoke.bind("openScreen")(opt);

                      case 2:
                      case "end":
                        return _context14.stop();
                    }
                  }
                }, _callee14);
              }));

              return function (_x15) {
                return _ref15.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context15.stop();
        }
      }
    }, _callee15);
  }));

  return function openScreen(_x14) {
    return _ref14.apply(this, arguments);
  };
}();
/*
* 获取坐标信息
* @name getPosition
* @return
*/

export var getPosition = /*#__PURE__*/function () {
  var _ref16 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee18(opt) {
    return _regeneratorRuntime.wrap(function _callee18$(_context18) {
      while (1) {
        switch (_context18.prev = _context18.next) {
          case 0:
            return _context18.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref17 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee17(resolve) {
                return _regeneratorRuntime.wrap(function _callee17$(_context17) {
                  while (1) {
                    switch (_context17.prev = _context17.next) {
                      case 0:
                        // invoke.define('getPosition', async (data) => {resolve(data)});
                        invoke.define('getPositionCompleted', /*#__PURE__*/function () {
                          var _ref18 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee16(result) {
                            return _regeneratorRuntime.wrap(function _callee16$(_context16) {
                              while (1) {
                                switch (_context16.prev = _context16.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context16.stop();
                                }
                              }
                            }, _callee16);
                          }));

                          return function (_x18) {
                            return _ref18.apply(this, arguments);
                          };
                        }());
                        _context17.next = 3;
                        return invoke.bind("getPosition")(opt);

                      case 3:
                      case "end":
                        return _context17.stop();
                    }
                  }
                }, _callee17);
              }));

              return function (_x17) {
                return _ref17.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context18.stop();
        }
      }
    }, _callee18);
  }));

  return function getPosition(_x16) {
    return _ref16.apply(this, arguments);
  };
}();
/*
* 使用重庆电子签章
* @name launchCQDigitalSign
* @return
*/

export var launchCQDigitalSign = /*#__PURE__*/function () {
  var _ref19 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee21(opt) {
    return _regeneratorRuntime.wrap(function _callee21$(_context21) {
      while (1) {
        switch (_context21.prev = _context21.next) {
          case 0:
            return _context21.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref20 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee20(resolve) {
                return _regeneratorRuntime.wrap(function _callee20$(_context20) {
                  while (1) {
                    switch (_context20.prev = _context20.next) {
                      case 0:
                        // invoke.define('launchCQDigitalSign', async (data) => {resolve(data)});
                        invoke.define('launchCQDigitalSignCompleted', /*#__PURE__*/function () {
                          var _ref21 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee19(result) {
                            return _regeneratorRuntime.wrap(function _callee19$(_context19) {
                              while (1) {
                                switch (_context19.prev = _context19.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context19.stop();
                                }
                              }
                            }, _callee19);
                          }));

                          return function (_x21) {
                            return _ref21.apply(this, arguments);
                          };
                        }());
                        _context20.next = 3;
                        return invoke.bind("launchCQDigitalSign")(opt);

                      case 3:
                      case "end":
                        return _context20.stop();
                    }
                  }
                }, _callee20);
              }));

              return function (_x20) {
                return _ref20.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context21.stop();
        }
      }
    }, _callee21);
  }));

  return function launchCQDigitalSign(_x19) {
    return _ref19.apply(this, arguments);
  };
}();
/*
* 使用手写板签名
* @name launchFingerSign
* @return
*/

export var launchFingerSign = /*#__PURE__*/function () {
  var _ref22 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee24(opt) {
    return _regeneratorRuntime.wrap(function _callee24$(_context24) {
      while (1) {
        switch (_context24.prev = _context24.next) {
          case 0:
            return _context24.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref23 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee23(resolve) {
                return _regeneratorRuntime.wrap(function _callee23$(_context23) {
                  while (1) {
                    switch (_context23.prev = _context23.next) {
                      case 0:
                        // invoke.define('launchFingerSign', async (data) => {resolve(data)});
                        invoke.define('launchFingerSignCompleted', /*#__PURE__*/function () {
                          var _ref24 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee22(result) {
                            return _regeneratorRuntime.wrap(function _callee22$(_context22) {
                              while (1) {
                                switch (_context22.prev = _context22.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context22.stop();
                                }
                              }
                            }, _callee22);
                          }));

                          return function (_x24) {
                            return _ref24.apply(this, arguments);
                          };
                        }());
                        _context23.next = 3;
                        return invoke.bind("launchFingerSign")(opt);

                      case 3:
                      case "end":
                        return _context23.stop();
                    }
                  }
                }, _callee23);
              }));

              return function (_x23) {
                return _ref23.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context24.stop();
        }
      }
    }, _callee24);
  }));

  return function launchFingerSign(_x22) {
    return _ref22.apply(this, arguments);
  };
}();
/*
* 社交应用分享
* @name launchShare
* @return
*/

export var launchShare = /*#__PURE__*/function () {
  var _ref25 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee27(opt) {
    return _regeneratorRuntime.wrap(function _callee27$(_context27) {
      while (1) {
        switch (_context27.prev = _context27.next) {
          case 0:
            return _context27.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref26 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee26(resolve) {
                return _regeneratorRuntime.wrap(function _callee26$(_context26) {
                  while (1) {
                    switch (_context26.prev = _context26.next) {
                      case 0:
                        // invoke.define('launchShare', async (data) => {resolve(data)});
                        invoke.define('launchShareCompleted', /*#__PURE__*/function () {
                          var _ref27 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee25(result) {
                            return _regeneratorRuntime.wrap(function _callee25$(_context25) {
                              while (1) {
                                switch (_context25.prev = _context25.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context25.stop();
                                }
                              }
                            }, _callee25);
                          }));

                          return function (_x27) {
                            return _ref27.apply(this, arguments);
                          };
                        }());
                        _context26.next = 3;
                        return invoke.bind("launchShare")(opt);

                      case 3:
                      case "end":
                        return _context26.stop();
                    }
                  }
                }, _callee26);
              }));

              return function (_x26) {
                return _ref26.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context27.stop();
        }
      }
    }, _callee27);
  }));

  return function launchShare(_x25) {
    return _ref25.apply(this, arguments);
  };
}();
/*
* 获取token
* @name getToken
* @return
*/

export var getToken = /*#__PURE__*/function () {
  var _ref28 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee30() {
    return _regeneratorRuntime.wrap(function _callee30$(_context30) {
      while (1) {
        switch (_context30.prev = _context30.next) {
          case 0:
            return _context30.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref29 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee29(resolve) {
                return _regeneratorRuntime.wrap(function _callee29$(_context29) {
                  while (1) {
                    switch (_context29.prev = _context29.next) {
                      case 0:
                        // invoke.define('getToken', async () => {resolve()});
                        invoke.define('getTokenCompleted', /*#__PURE__*/function () {
                          var _ref30 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee28(result) {
                            return _regeneratorRuntime.wrap(function _callee28$(_context28) {
                              while (1) {
                                switch (_context28.prev = _context28.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context28.stop();
                                }
                              }
                            }, _callee28);
                          }));

                          return function (_x29) {
                            return _ref30.apply(this, arguments);
                          };
                        }());
                        _context29.next = 3;
                        return invoke.bind("getToken")();

                      case 3:
                      case "end":
                        return _context29.stop();
                    }
                  }
                }, _callee29);
              }));

              return function (_x28) {
                return _ref29.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context30.stop();
        }
      }
    }, _callee30);
  }));

  return function getToken() {
    return _ref28.apply(this, arguments);
  };
}();
/*
* 获取当前项目信息
* @name getCurrProject
* @return
*/

export var getCurrProject = /*#__PURE__*/function () {
  var _ref31 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee33() {
    return _regeneratorRuntime.wrap(function _callee33$(_context33) {
      while (1) {
        switch (_context33.prev = _context33.next) {
          case 0:
            return _context33.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref32 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee32(resolve) {
                return _regeneratorRuntime.wrap(function _callee32$(_context32) {
                  while (1) {
                    switch (_context32.prev = _context32.next) {
                      case 0:
                        // invoke.define('getToken', async () => {resolve()});
                        invoke.define('getCurrProjectCompleted', /*#__PURE__*/function () {
                          var _ref33 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee31(result) {
                            return _regeneratorRuntime.wrap(function _callee31$(_context31) {
                              while (1) {
                                switch (_context31.prev = _context31.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context31.stop();
                                }
                              }
                            }, _callee31);
                          }));

                          return function (_x31) {
                            return _ref33.apply(this, arguments);
                          };
                        }());
                        _context32.next = 3;
                        return invoke.bind("getCurrProject")();

                      case 3:
                      case "end":
                        return _context32.stop();
                    }
                  }
                }, _callee32);
              }));

              return function (_x30) {
                return _ref32.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context33.stop();
        }
      }
    }, _callee33);
  }));

  return function getCurrProject() {
    return _ref31.apply(this, arguments);
  };
}();
/*
* 预览图片
* @name previewImage
* @params [imageUrl]
* @return
*/

export var previewImage = /*#__PURE__*/function () {
  var _ref34 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee35(opt) {
    return _regeneratorRuntime.wrap(function _callee35$(_context35) {
      while (1) {
        switch (_context35.prev = _context35.next) {
          case 0:
            return _context35.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref35 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee34(resolve) {
                return _regeneratorRuntime.wrap(function _callee34$(_context34) {
                  while (1) {
                    switch (_context34.prev = _context34.next) {
                      case 0:
                        _context34.next = 2;
                        return invoke.bind("previewImage")(opt);

                      case 2:
                      case "end":
                        return _context34.stop();
                    }
                  }
                }, _callee34);
              }));

              return function (_x33) {
                return _ref35.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context35.stop();
        }
      }
    }, _callee35);
  }));

  return function previewImage(_x32) {
    return _ref34.apply(this, arguments);
  };
}();
/*
*  获取上传图片以及文件的token
*  options: {
*  		id,  --必输项，如果是项目级应用则设置project_id,否则设置user_id
*  		app_id="common",  --逻辑必输项，设置为应用的code，如果没有设置系统默认为common，
*  		signature=true,  --是否需要签名访问
*  		rename=true,  --文件是否重命名
*  		maxSize=1024*1024*10  --文件尺寸限制，默认为10M
*  	}
*/

export var getUpToken = /*#__PURE__*/function () {
  var _ref36 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee38(opt) {
    return _regeneratorRuntime.wrap(function _callee38$(_context38) {
      while (1) {
        switch (_context38.prev = _context38.next) {
          case 0:
            return _context38.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref37 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee37(resolve) {
                return _regeneratorRuntime.wrap(function _callee37$(_context37) {
                  while (1) {
                    switch (_context37.prev = _context37.next) {
                      case 0:
                        invoke.define('getUpTokenCompleted', /*#__PURE__*/function () {
                          var _ref38 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee36(result) {
                            return _regeneratorRuntime.wrap(function _callee36$(_context36) {
                              while (1) {
                                switch (_context36.prev = _context36.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context36.stop();
                                }
                              }
                            }, _callee36);
                          }));

                          return function (_x36) {
                            return _ref38.apply(this, arguments);
                          };
                        }());
                        _context37.next = 3;
                        return invoke.bind("getUpToken")(opt);

                      case 3:
                      case "end":
                        return _context37.stop();
                    }
                  }
                }, _callee37);
              }));

              return function (_x35) {
                return _ref37.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context38.stop();
        }
      }
    }, _callee38);
  }));

  return function getUpToken(_x34) {
    return _ref36.apply(this, arguments);
  };
}();
/*
* @name uploadImage 上传图片
* options {
*     token: object,  --从getUpToken中获取
*     photo: object,  --选择或拍照的结果，主要会用到fileName,type,fileName，多数情况直接拿结果直接用就行了
*     onProgress: func,  --图片上传的进度回调
* }
 */

export var uploadImage = /*#__PURE__*/function () {
  var _ref39 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee41(opt) {
    return _regeneratorRuntime.wrap(function _callee41$(_context41) {
      while (1) {
        switch (_context41.prev = _context41.next) {
          case 0:
            return _context41.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref40 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee40(resolve) {
                return _regeneratorRuntime.wrap(function _callee40$(_context40) {
                  while (1) {
                    switch (_context40.prev = _context40.next) {
                      case 0:
                        invoke.define('uploadImageCompleted', /*#__PURE__*/function () {
                          var _ref41 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee39(result) {
                            return _regeneratorRuntime.wrap(function _callee39$(_context39) {
                              while (1) {
                                switch (_context39.prev = _context39.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context39.stop();
                                }
                              }
                            }, _callee39);
                          }));

                          return function (_x39) {
                            return _ref41.apply(this, arguments);
                          };
                        }());
                        _context40.next = 3;
                        return invoke.bind("uploadImage")(opt);

                      case 3:
                      case "end":
                        return _context40.stop();
                    }
                  }
                }, _callee40);
              }));

              return function (_x38) {
                return _ref40.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context41.stop();
        }
      }
    }, _callee41);
  }));

  return function uploadImage(_x37) {
    return _ref39.apply(this, arguments);
  };
}();
/*
* @name uploadImageThrough 图片直传，获取token和上传操作合并
* options {
*     photo: object,  --选择或拍照的结果，主要会用到fileName,type,fileName，多数情况直接拿结果直接用就行了
*     tokenMode: string,  --必输项，project or user
*     appId: string,  --所属的app代码，默认为common
*     signature: false,  --是否需要签名上传
*     rename=true,   --是否重命名
*     maxSize=1024*10000  --最大尺寸
* }
 */

export var uploadImageThrough = /*#__PURE__*/function () {
  var _ref42 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee44(opt) {
    return _regeneratorRuntime.wrap(function _callee44$(_context44) {
      while (1) {
        switch (_context44.prev = _context44.next) {
          case 0:
            return _context44.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref43 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee43(resolve) {
                return _regeneratorRuntime.wrap(function _callee43$(_context43) {
                  while (1) {
                    switch (_context43.prev = _context43.next) {
                      case 0:
                        invoke.define('uploadImageThroughCompleted', /*#__PURE__*/function () {
                          var _ref44 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee42(result) {
                            return _regeneratorRuntime.wrap(function _callee42$(_context42) {
                              while (1) {
                                switch (_context42.prev = _context42.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context42.stop();
                                }
                              }
                            }, _callee42);
                          }));

                          return function (_x42) {
                            return _ref44.apply(this, arguments);
                          };
                        }());
                        _context43.next = 3;
                        return invoke.bind("uploadImageThrough")(opt);

                      case 3:
                      case "end":
                        return _context43.stop();
                    }
                  }
                }, _callee43);
              }));

              return function (_x41) {
                return _ref43.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context44.stop();
        }
      }
    }, _callee44);
  }));

  return function uploadImageThrough(_x40) {
    return _ref42.apply(this, arguments);
  };
}();
/*
* @name takePhotoAndUpload 拍照后直接上传
* options {
*     quality: 0.6,
*     includeBase64: true,
*     saveToPhotos: false,
*     uploadOptions: {
*         tokenMode: string,  --必输项，project or user，默认为project
*         appId: string,  --所属的app代码，默认为common
*         signature: false,  --是否需要签名上传
*     }  --图片上传的options
* }
 */

export var takePhotoAndUpload = /*#__PURE__*/function () {
  var _ref45 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee47(opt) {
    return _regeneratorRuntime.wrap(function _callee47$(_context47) {
      while (1) {
        switch (_context47.prev = _context47.next) {
          case 0:
            return _context47.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref46 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee46(resolve) {
                return _regeneratorRuntime.wrap(function _callee46$(_context46) {
                  while (1) {
                    switch (_context46.prev = _context46.next) {
                      case 0:
                        invoke.define('takePhotoAndUploadCompleted', /*#__PURE__*/function () {
                          var _ref47 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee45(result) {
                            return _regeneratorRuntime.wrap(function _callee45$(_context45) {
                              while (1) {
                                switch (_context45.prev = _context45.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context45.stop();
                                }
                              }
                            }, _callee45);
                          }));

                          return function (_x45) {
                            return _ref47.apply(this, arguments);
                          };
                        }());
                        _context46.next = 3;
                        return invoke.bind("takePhotoAndUpload")(opt);

                      case 3:
                      case "end":
                        return _context46.stop();
                    }
                  }
                }, _callee46);
              }));

              return function (_x44) {
                return _ref46.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context47.stop();
        }
      }
    }, _callee47);
  }));

  return function takePhotoAndUpload(_x43) {
    return _ref45.apply(this, arguments);
  };
}();
/*
* @name choosePhotoAndUpload 选择文件后上传
* options {
*     includeBase64: false,
*     uploadOptions: {
*         tokenMode: string,  --必输项，project or user
*         appId: string,  --所属的app代码，默认为common
*         signature: false,  --是否需要签名上传
*     }  --图片上传的options
* }
 */

export var choosePhotoAndUpload = /*#__PURE__*/function () {
  var _ref48 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee50(opt) {
    return _regeneratorRuntime.wrap(function _callee50$(_context50) {
      while (1) {
        switch (_context50.prev = _context50.next) {
          case 0:
            return _context50.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref49 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee49(resolve) {
                return _regeneratorRuntime.wrap(function _callee49$(_context49) {
                  while (1) {
                    switch (_context49.prev = _context49.next) {
                      case 0:
                        invoke.define('choosePhotoAndUploadCompleted', /*#__PURE__*/function () {
                          var _ref50 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee48(result) {
                            return _regeneratorRuntime.wrap(function _callee48$(_context48) {
                              while (1) {
                                switch (_context48.prev = _context48.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context48.stop();
                                }
                              }
                            }, _callee48);
                          }));

                          return function (_x48) {
                            return _ref50.apply(this, arguments);
                          };
                        }());
                        _context49.next = 3;
                        return invoke.bind("choosePhotoAndUpload")(opt);

                      case 3:
                      case "end":
                        return _context49.stop();
                    }
                  }
                }, _callee49);
              }));

              return function (_x47) {
                return _ref49.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context50.stop();
        }
      }
    }, _callee50);
  }));

  return function choosePhotoAndUpload(_x46) {
    return _ref48.apply(this, arguments);
  };
}();
/*
* @name getPhotoAndUpload 拍照或选择文件后上传
* options {
*     sourceType  --['album', 'camera']相册选择和摄像头的选择，可二者同时
*     takeOptions: {
*         quality: 0.6,
*         includeBase64: true,
*         saveToPhotos: false,
*     }  --拍照的options，无特殊情况几乎不用设置
*     chooseOptions:{
*         includeBase64: true,
*     }  --拍照的options，无特殊情况几乎不用设置
*     uploadOptions: {
*         tokenMode: string,  --归类方式 project or user，默认project
*         appId: string,  --所属的app代码，默认为common，建议输入
*         signature: true,  --是否需要签名上传，默认为true
*     }  --图片上传的options
* }
 */

export var getPhotoAndUpload = /*#__PURE__*/function () {
  var _ref51 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee53(opt) {
    return _regeneratorRuntime.wrap(function _callee53$(_context53) {
      while (1) {
        switch (_context53.prev = _context53.next) {
          case 0:
            return _context53.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref52 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee52(resolve) {
                return _regeneratorRuntime.wrap(function _callee52$(_context52) {
                  while (1) {
                    switch (_context52.prev = _context52.next) {
                      case 0:
                        invoke.define('getPhotoAndUploadCompleted', /*#__PURE__*/function () {
                          var _ref53 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee51(result) {
                            return _regeneratorRuntime.wrap(function _callee51$(_context51) {
                              while (1) {
                                switch (_context51.prev = _context51.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context51.stop();
                                }
                              }
                            }, _callee51);
                          }));

                          return function (_x51) {
                            return _ref53.apply(this, arguments);
                          };
                        }());
                        _context52.next = 3;
                        return invoke.bind("getPhotoAndUpload")(opt);

                      case 3:
                      case "end":
                        return _context52.stop();
                    }
                  }
                }, _callee52);
              }));

              return function (_x50) {
                return _ref52.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context53.stop();
        }
      }
    }, _callee53);
  }));

  return function getPhotoAndUpload(_x49) {
    return _ref51.apply(this, arguments);
  };
}();
/*
* @name alertDialog 信息提示对话框
* options {
*     title,  -- 标题
*     description,  -- 描述内容
*     status,  --状态 normal(默认),warning,error,success
* }
 */

export var alertDialog = /*#__PURE__*/function () {
  var _ref54 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee56(opt) {
    return _regeneratorRuntime.wrap(function _callee56$(_context56) {
      while (1) {
        switch (_context56.prev = _context56.next) {
          case 0:
            return _context56.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref55 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee55(resolve) {
                return _regeneratorRuntime.wrap(function _callee55$(_context55) {
                  while (1) {
                    switch (_context55.prev = _context55.next) {
                      case 0:
                        invoke.define('alertDialogCompleted', /*#__PURE__*/function () {
                          var _ref56 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee54(result) {
                            return _regeneratorRuntime.wrap(function _callee54$(_context54) {
                              while (1) {
                                switch (_context54.prev = _context54.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context54.stop();
                                }
                              }
                            }, _callee54);
                          }));

                          return function (_x54) {
                            return _ref56.apply(this, arguments);
                          };
                        }());
                        _context55.next = 3;
                        return invoke.bind("alertDialog")(opt);

                      case 3:
                      case "end":
                        return _context55.stop();
                    }
                  }
                }, _callee55);
              }));

              return function (_x53) {
                return _ref55.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context56.stop();
        }
      }
    }, _callee56);
  }));

  return function alertDialog(_x52) {
    return _ref54.apply(this, arguments);
  };
}();
/*
* @name confirmDialog 信息确认对话框
* options {
*     title,  -- 标题
*     description,  -- 描述内容
* }
* @result 确认true， 放弃false
*/

export var confirmDialog = /*#__PURE__*/function () {
  var _ref57 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee59(opt) {
    return _regeneratorRuntime.wrap(function _callee59$(_context59) {
      while (1) {
        switch (_context59.prev = _context59.next) {
          case 0:
            return _context59.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref58 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee58(resolve) {
                return _regeneratorRuntime.wrap(function _callee58$(_context58) {
                  while (1) {
                    switch (_context58.prev = _context58.next) {
                      case 0:
                        invoke.define('confirmDialogCompleted', /*#__PURE__*/function () {
                          var _ref59 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee57(result) {
                            return _regeneratorRuntime.wrap(function _callee57$(_context57) {
                              while (1) {
                                switch (_context57.prev = _context57.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context57.stop();
                                }
                              }
                            }, _callee57);
                          }));

                          return function (_x57) {
                            return _ref59.apply(this, arguments);
                          };
                        }());
                        _context58.next = 3;
                        return invoke.bind("confirmDialog")(opt);

                      case 3:
                      case "end":
                        return _context58.stop();
                    }
                  }
                }, _callee58);
              }));

              return function (_x56) {
                return _ref58.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context59.stop();
        }
      }
    }, _callee59);
  }));

  return function confirmDialog(_x55) {
    return _ref57.apply(this, arguments);
  };
}();
/*
* @name inputDialog 文本输入对话框
* options {
*     title,  -- 标题
*     description,  -- 描述内容
* }
* @result
*/

export var inputDialog = /*#__PURE__*/function () {
  var _ref60 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee62(opt) {
    return _regeneratorRuntime.wrap(function _callee62$(_context62) {
      while (1) {
        switch (_context62.prev = _context62.next) {
          case 0:
            return _context62.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref61 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee61(resolve) {
                return _regeneratorRuntime.wrap(function _callee61$(_context61) {
                  while (1) {
                    switch (_context61.prev = _context61.next) {
                      case 0:
                        invoke.define('inputDialogCompleted', /*#__PURE__*/function () {
                          var _ref62 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee60(result) {
                            return _regeneratorRuntime.wrap(function _callee60$(_context60) {
                              while (1) {
                                switch (_context60.prev = _context60.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context60.stop();
                                }
                              }
                            }, _callee60);
                          }));

                          return function (_x60) {
                            return _ref62.apply(this, arguments);
                          };
                        }());
                        _context61.next = 3;
                        return invoke.bind("inputDialog")(opt);

                      case 3:
                      case "end":
                        return _context61.stop();
                    }
                  }
                }, _callee61);
              }));

              return function (_x59) {
                return _ref61.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context62.stop();
        }
      }
    }, _callee62);
  }));

  return function inputDialog(_x58) {
    return _ref60.apply(this, arguments);
  };
}();
/*
* @name liveDetect 人脸活体检测
* options {
*     includeBase64,  --
*     scale,  --
*     cropHeight,  --
*     cropWidth,  --
* }
* @result {uri, type, fileName, base64}
*/

export var liveDetect = /*#__PURE__*/function () {
  var _ref63 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee65(opt) {
    return _regeneratorRuntime.wrap(function _callee65$(_context65) {
      while (1) {
        switch (_context65.prev = _context65.next) {
          case 0:
            return _context65.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref64 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee64(resolve) {
                return _regeneratorRuntime.wrap(function _callee64$(_context64) {
                  while (1) {
                    switch (_context64.prev = _context64.next) {
                      case 0:
                        invoke.define('liveDetectCompleted', /*#__PURE__*/function () {
                          var _ref65 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee63(result) {
                            return _regeneratorRuntime.wrap(function _callee63$(_context63) {
                              while (1) {
                                switch (_context63.prev = _context63.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context63.stop();
                                }
                              }
                            }, _callee63);
                          }));

                          return function (_x63) {
                            return _ref65.apply(this, arguments);
                          };
                        }());
                        _context64.next = 3;
                        return invoke.bind("liveDetect")(opt);

                      case 3:
                      case "end":
                        return _context64.stop();
                    }
                  }
                }, _callee64);
              }));

              return function (_x62) {
                return _ref64.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context65.stop();
        }
      }
    }, _callee65);
  }));

  return function liveDetect(_x61) {
    return _ref63.apply(this, arguments);
  };
}();
/*
* @name takeIdCard 捕捉拍摄身份证
* options {
*     includeBase64,  --
*     quality,  --
* }
* @result {uri, type, fileName, base64}
*/

export var takeIdCard = /*#__PURE__*/function () {
  var _ref66 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee68(opt) {
    return _regeneratorRuntime.wrap(function _callee68$(_context68) {
      while (1) {
        switch (_context68.prev = _context68.next) {
          case 0:
            return _context68.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref67 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee67(resolve) {
                return _regeneratorRuntime.wrap(function _callee67$(_context67) {
                  while (1) {
                    switch (_context67.prev = _context67.next) {
                      case 0:
                        invoke.define('takeIdCardCompleted', /*#__PURE__*/function () {
                          var _ref68 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee66(result) {
                            return _regeneratorRuntime.wrap(function _callee66$(_context66) {
                              while (1) {
                                switch (_context66.prev = _context66.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context66.stop();
                                }
                              }
                            }, _callee66);
                          }));

                          return function (_x66) {
                            return _ref68.apply(this, arguments);
                          };
                        }());
                        _context67.next = 3;
                        return invoke.bind("takeIdCard")(opt);

                      case 3:
                      case "end":
                        return _context67.stop();
                    }
                  }
                }, _callee67);
              }));

              return function (_x65) {
                return _ref67.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context68.stop();
        }
      }
    }, _callee68);
  }));

  return function takeIdCard(_x64) {
    return _ref66.apply(this, arguments);
  };
}();
/*
* @name scanCarNo 识别车牌
* options {
*     includeBase64,  -- 标题
* }
* @result
*/

export var scanCarNo = /*#__PURE__*/function () {
  var _ref69 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee71(opt) {
    return _regeneratorRuntime.wrap(function _callee71$(_context71) {
      while (1) {
        switch (_context71.prev = _context71.next) {
          case 0:
            return _context71.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref70 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee70(resolve) {
                return _regeneratorRuntime.wrap(function _callee70$(_context70) {
                  while (1) {
                    switch (_context70.prev = _context70.next) {
                      case 0:
                        invoke.define('scanCarNoCompleted', /*#__PURE__*/function () {
                          var _ref71 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee69(result) {
                            return _regeneratorRuntime.wrap(function _callee69$(_context69) {
                              while (1) {
                                switch (_context69.prev = _context69.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context69.stop();
                                }
                              }
                            }, _callee69);
                          }));

                          return function (_x69) {
                            return _ref71.apply(this, arguments);
                          };
                        }());
                        _context70.next = 3;
                        return invoke.bind("scanCarNo")(opt);

                      case 3:
                      case "end":
                        return _context70.stop();
                    }
                  }
                }, _callee70);
              }));

              return function (_x68) {
                return _ref70.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context71.stop();
        }
      }
    }, _callee71);
  }));

  return function scanCarNo(_x67) {
    return _ref69.apply(this, arguments);
  };
}();
/*
* @name scanBusinessLicense 识别营业执照
* options {
*     includeBase64,  -- 标题
* }
* @result
*/

export var scanBusinessLicense = /*#__PURE__*/function () {
  var _ref72 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee74(opt) {
    return _regeneratorRuntime.wrap(function _callee74$(_context74) {
      while (1) {
        switch (_context74.prev = _context74.next) {
          case 0:
            return _context74.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref73 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee73(resolve) {
                return _regeneratorRuntime.wrap(function _callee73$(_context73) {
                  while (1) {
                    switch (_context73.prev = _context73.next) {
                      case 0:
                        invoke.define('scanBusinessLicenseCompleted', /*#__PURE__*/function () {
                          var _ref74 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee72(result) {
                            return _regeneratorRuntime.wrap(function _callee72$(_context72) {
                              while (1) {
                                switch (_context72.prev = _context72.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context72.stop();
                                }
                              }
                            }, _callee72);
                          }));

                          return function (_x72) {
                            return _ref74.apply(this, arguments);
                          };
                        }());
                        _context73.next = 3;
                        return invoke.bind("scanBusinessLicense")(opt);

                      case 3:
                      case "end":
                        return _context73.stop();
                    }
                  }
                }, _callee73);
              }));

              return function (_x71) {
                return _ref73.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context74.stop();
        }
      }
    }, _callee74);
  }));

  return function scanBusinessLicense(_x70) {
    return _ref72.apply(this, arguments);
  };
}();
/*
 * @name discernIdCardFront 识别身份证正面照的信息
 * options {
 *     imageId  --身份证正面照图片ID
 * }
 */

export var discernIdCardFront = /*#__PURE__*/function () {
  var _ref75 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee77(opt) {
    return _regeneratorRuntime.wrap(function _callee77$(_context77) {
      while (1) {
        switch (_context77.prev = _context77.next) {
          case 0:
            return _context77.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref76 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee76(resolve) {
                return _regeneratorRuntime.wrap(function _callee76$(_context76) {
                  while (1) {
                    switch (_context76.prev = _context76.next) {
                      case 0:
                        invoke.define('discernIdCardFrontCompleted', /*#__PURE__*/function () {
                          var _ref77 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee75(result) {
                            return _regeneratorRuntime.wrap(function _callee75$(_context75) {
                              while (1) {
                                switch (_context75.prev = _context75.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context75.stop();
                                }
                              }
                            }, _callee75);
                          }));

                          return function (_x75) {
                            return _ref77.apply(this, arguments);
                          };
                        }());
                        _context76.next = 3;
                        return invoke.bind("discernIdCardFront")(opt);

                      case 3:
                      case "end":
                        return _context76.stop();
                    }
                  }
                }, _callee76);
              }));

              return function (_x74) {
                return _ref76.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context77.stop();
        }
      }
    }, _callee77);
  }));

  return function discernIdCardFront(_x73) {
    return _ref75.apply(this, arguments);
  };
}();
/*
 * @name discernIdCardBack 识别身份证背面照的信息
 * options {
 *     imageId  --身份证背面照图片ID
 * }
 */

export var discernIdCardBack = /*#__PURE__*/function () {
  var _ref78 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee80(opt) {
    return _regeneratorRuntime.wrap(function _callee80$(_context80) {
      while (1) {
        switch (_context80.prev = _context80.next) {
          case 0:
            return _context80.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref79 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee79(resolve) {
                return _regeneratorRuntime.wrap(function _callee79$(_context79) {
                  while (1) {
                    switch (_context79.prev = _context79.next) {
                      case 0:
                        invoke.define('discernIdCardBackCompleted', /*#__PURE__*/function () {
                          var _ref80 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee78(result) {
                            return _regeneratorRuntime.wrap(function _callee78$(_context78) {
                              while (1) {
                                switch (_context78.prev = _context78.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context78.stop();
                                }
                              }
                            }, _callee78);
                          }));

                          return function (_x78) {
                            return _ref80.apply(this, arguments);
                          };
                        }());
                        _context79.next = 3;
                        return invoke.bind("discernIdCardBack")(opt);

                      case 3:
                      case "end":
                        return _context79.stop();
                    }
                  }
                }, _callee79);
              }));

              return function (_x77) {
                return _ref79.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context80.stop();
        }
      }
    }, _callee80);
  }));

  return function discernIdCardBack(_x76) {
    return _ref78.apply(this, arguments);
  };
}();
/*
 * @name takeIdCardAndDiscern 捕捉身份证信息后直接上传并获取验证结果
 * options {
 *     front: true,  --是否正面
 * }
 */

export var takeIdCardAndDiscern = /*#__PURE__*/function () {
  var _ref81 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee83(opt) {
    return _regeneratorRuntime.wrap(function _callee83$(_context83) {
      while (1) {
        switch (_context83.prev = _context83.next) {
          case 0:
            return _context83.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref82 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee82(resolve) {
                return _regeneratorRuntime.wrap(function _callee82$(_context82) {
                  while (1) {
                    switch (_context82.prev = _context82.next) {
                      case 0:
                        invoke.define('takeIdCardAndDiscernCompleted', /*#__PURE__*/function () {
                          var _ref83 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee81(result) {
                            return _regeneratorRuntime.wrap(function _callee81$(_context81) {
                              while (1) {
                                switch (_context81.prev = _context81.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context81.stop();
                                }
                              }
                            }, _callee81);
                          }));

                          return function (_x81) {
                            return _ref83.apply(this, arguments);
                          };
                        }());
                        _context82.next = 3;
                        return invoke.bind("takeIdCardAndDiscern")(opt);

                      case 3:
                      case "end":
                        return _context82.stop();
                    }
                  }
                }, _callee82);
              }));

              return function (_x80) {
                return _ref82.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context83.stop();
        }
      }
    }, _callee83);
  }));

  return function takeIdCardAndDiscern(_x79) {
    return _ref81.apply(this, arguments);
  };
}();
/**
 * @name getProjectEnterprise 获取项目参建单位
 * options {
 *     onSelect: func,  --选择了一行项目参建单位后的回调
 * }
 */

export var getProjectEnterprise = /*#__PURE__*/function () {
  var _ref84 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee86(opt) {
    return _regeneratorRuntime.wrap(function _callee86$(_context86) {
      while (1) {
        switch (_context86.prev = _context86.next) {
          case 0:
            return _context86.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref85 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee85(resolve) {
                return _regeneratorRuntime.wrap(function _callee85$(_context85) {
                  while (1) {
                    switch (_context85.prev = _context85.next) {
                      case 0:
                        invoke.define('getProjectEnterpriseCompleted', /*#__PURE__*/function () {
                          var _ref86 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee84(result) {
                            return _regeneratorRuntime.wrap(function _callee84$(_context84) {
                              while (1) {
                                switch (_context84.prev = _context84.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context84.stop();
                                }
                              }
                            }, _callee84);
                          }));

                          return function (_x84) {
                            return _ref86.apply(this, arguments);
                          };
                        }());
                        _context85.next = 3;
                        return invoke.bind("getProjectEnterprise")(opt);

                      case 3:
                      case "end":
                        return _context85.stop();
                    }
                  }
                }, _callee85);
              }));

              return function (_x83) {
                return _ref85.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context86.stop();
        }
      }
    }, _callee86);
  }));

  return function getProjectEnterprise(_x82) {
    return _ref84.apply(this, arguments);
  };
}();
/**
 * @name getProjectUser 获取项目用户
 * options {
 * }
 */

export var getProjectUser = /*#__PURE__*/function () {
  var _ref87 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee89(opt) {
    return _regeneratorRuntime.wrap(function _callee89$(_context89) {
      while (1) {
        switch (_context89.prev = _context89.next) {
          case 0:
            return _context89.abrupt("return", new Promise( /*#__PURE__*/function () {
              var _ref88 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee88(resolve) {
                return _regeneratorRuntime.wrap(function _callee88$(_context88) {
                  while (1) {
                    switch (_context88.prev = _context88.next) {
                      case 0:
                        invoke.define('getProjectUserCompleted', /*#__PURE__*/function () {
                          var _ref89 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee87(result) {
                            return _regeneratorRuntime.wrap(function _callee87$(_context87) {
                              while (1) {
                                switch (_context87.prev = _context87.next) {
                                  case 0:
                                    resolve(result);

                                  case 1:
                                  case "end":
                                    return _context87.stop();
                                }
                              }
                            }, _callee87);
                          }));

                          return function (_x87) {
                            return _ref89.apply(this, arguments);
                          };
                        }());
                        _context88.next = 3;
                        return invoke.bind("getProjectUser")(opt);

                      case 3:
                      case "end":
                        return _context88.stop();
                    }
                  }
                }, _callee88);
              }));

              return function (_x86) {
                return _ref88.apply(this, arguments);
              };
            }()));

          case 1:
          case "end":
            return _context89.stop();
        }
      }
    }, _callee89);
  }));

  return function getProjectUser(_x85) {
    return _ref87.apply(this, arguments);
  };
}();
export var EVENTS_TYPE = {
  keyboardWillShow: 'keyboardWillShow',
  // 键盘即将出现
  keyboardDidShow: 'keyboardDidShow',
  // 键盘已经出现
  keyboardDidHide: 'keyboardDidHide',
  // 键盘已经隐藏
  keyboardWillHide: 'keyboardWillHide',
  // 键盘即将隐藏
  appStateChange: 'appStateChange',
  // app前后台切换
  aliPushMessage: 'aliPushMessage' // 阿里云推送监听

};
export default {
  isNative: isNative,
  takePhoto: takePhoto,
  recordVideo: recordVideo,
  barCodeScan: barCodeScan,
  openWindow: openWindow,
  openScreen: openScreen,
  closeWindow: closeWindow,
  getPosition: getPosition,
  launchCQDigitalSign: launchCQDigitalSign,
  launchFingerSign: launchFingerSign,
  launchShare: launchShare,
  getToken: getToken,
  getCurrProject: getCurrProject,
  previewImage: previewImage,
  getUpToken: getUpToken,
  uploadImage: uploadImage,
  uploadImageThrough: uploadImageThrough,
  takePhotoAndUpload: takePhotoAndUpload,
  choosePhotoAndUpload: choosePhotoAndUpload,
  getPhotoAndUpload: getPhotoAndUpload,
  alertDialog: alertDialog,
  confirmDialog: confirmDialog,
  inputDialog: inputDialog,
  liveDetect: liveDetect,
  takeIdCard: takeIdCard,
  scanCarNo: scanCarNo,
  scanBusinessLicense: scanBusinessLicense,
  discernIdCardFront: discernIdCardFront,
  discernIdCardBack: discernIdCardBack,
  takeIdCardAndDiscern: takeIdCardAndDiscern,
  getProjectEnterprise: getProjectEnterprise,
  getProjectUser: getProjectUser
};